package com.gic.download.qo;

import java.io.Serializable;
import java.util.List;

/**
 * 下载导出文件参数列表类
 * @ClassName: DownloadExcelQO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/8 2:05 PM 
 */
public class DownloadExcelQO implements Serializable{
    private static final long serialVersionUID = 6989738912564565045L;

    /**
     * 临时路径
     */
    private String tempPath;
    /**
     * 报表ID
     */
    private Integer reportId;
    /**
     * 导出的文件名称
     */
    private String fileName;
    /**
     * 导出的文件后缀code，详情看ExcelExtensionEnum枚举类
     */
    private Integer excelExtensionCode;
    /**
     * 第一行的名称列表(一层标题结构)
     */
    private List<String> headerList;
    /**
     * 2层标题结构所需要参数
     */
    private List<HeaderQO> headers;
    /**
     * 字段名称
     */
    private List<String> propertyNameList;
    /**
     * 需要加密的字段
     */
    private List<String> needEncryptField;
    /**
     * 列宽，默认null
     */
    private List<Integer> columnWidth = null;

    public String getTempPath() {
        return tempPath;
    }

    public DownloadExcelQO setTempPath(String tempPath) {
        this.tempPath = tempPath;
        return this;
    }

    public Integer getReportId() {
        return reportId;
    }

    public DownloadExcelQO setReportId(Integer reportId) {
        this.reportId = reportId;
        return this;
    }

    public String getFileName() {
        return fileName;
    }

    public DownloadExcelQO setFileName(String fileName) {
        this.fileName = fileName;
        return this;
    }

    public Integer getExcelExtensionCode() {
        return excelExtensionCode;
    }

    public DownloadExcelQO setExcelExtensionCode(Integer excelExtensionCode) {
        this.excelExtensionCode = excelExtensionCode;
        return this;
    }

    public List<String> getHeaderList() {
        return headerList;
    }

    public DownloadExcelQO setHeaderList(List<String> headerList) {
        this.headerList = headerList;
        return this;
    }

    public List<HeaderQO> getHeaders() {
        return headers;
    }

    public DownloadExcelQO setHeaders(List<HeaderQO> headers) {
        this.headers = headers;
        return this;
    }

    public List<String> getPropertyNameList() {
        return propertyNameList;
    }

    public DownloadExcelQO setPropertyNameList(List<String> propertyNameList) {
        this.propertyNameList = propertyNameList;
        return this;
    }

    public List<String> getNeedEncryptField() {
        return needEncryptField;
    }

    public DownloadExcelQO setNeedEncryptField(List<String> needEncryptField) {
        this.needEncryptField = needEncryptField;
        return this;
    }

    public List<Integer> getColumnWidth() {
        return columnWidth;
    }

    public DownloadExcelQO setColumnWidth(List<Integer> columnWidth) {
        this.columnWidth = columnWidth;
        return this;
    }
}
